textproc/PEGTL - The NetBSD Packages Collection

C++ header-only parser combinator library

The Parsing Expression Grammar Template Library (PEGTL) is a
zero-dependency C++ header-only parser combinator library for
creating parsers according to a Parsing Expression Grammar (PEG).

Grammars are written as regular C++ code, created with template
programming (not template meta programming), i.e. nested template
instantiations that naturally correspond to the inductive definition
of PEGs (and other parser-combinator approaches).

A comprehensive set of parser rules that can be combined and extended
by the user is included, as are mechanisms for debugging grammars,
and for attaching user-defined actions to grammar rules.

Build dependencies

pkgtools/cwrappers devel/cmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfPEGTL-2.8.3.tgz
NetBSD 8.0earmv7hfPEGTL-2.8.3.tgz
NetBSD 8.0i386PEGTL-2.8.3.tgz
NetBSD 8.0powerpcPEGTL-2.8.3.tgz
NetBSD 8.0powerpcPEGTL-2.8.3.tgz
NetBSD 8.0powerpcPEGTL-2.8.3.tgz
NetBSD 8.0x86_64PEGTL-2.8.3.tgz
NetBSD 9.0aarch64PEGTL-2.8.3.tgz
NetBSD 9.0aarch64PEGTL-2.8.3.tgz
NetBSD 9.0alphaPEGTL-2.8.3.tgz
NetBSD 9.0alphaPEGTL-2.8.3.tgz
NetBSD 9.0earmPEGTL-2.8.3.tgz
NetBSD 9.0earmPEGTL-2.8.3.tgz
NetBSD 9.0earmv6hfPEGTL-2.8.3.tgz
NetBSD 9.0earmv6hfPEGTL-2.8.3.tgz
NetBSD 9.0earmv7hfPEGTL-2.8.3.tgz
NetBSD 9.0earmv7hfPEGTL-2.8.3.tgz
NetBSD 9.0earmv7hfPEGTL-2.8.3.tgz
NetBSD 9.0i386PEGTL-2.8.3.tgz
NetBSD 9.0i386PEGTL-2.8.3.tgz
NetBSD 9.0mips64ebPEGTL-2.8.3.tgz
NetBSD 9.0mips64ebPEGTL-2.8.3.tgz
NetBSD 9.0mipselPEGTL-2.8.3.tgz
NetBSD 9.0mipselPEGTL-2.8.3.tgz
NetBSD 9.0powerpcPEGTL-2.8.3.tgz
NetBSD 9.0powerpcPEGTL-2.8.3.tgz
NetBSD 9.0powerpcPEGTL-2.8.3.tgz
NetBSD 9.0sh3elPEGTL-2.8.3.tgz
NetBSD 9.0sh3elPEGTL-2.8.3.tgz
NetBSD 9.0sparc64PEGTL-2.8.3.tgz
NetBSD 9.0sparc64PEGTL-2.8.3.tgz
NetBSD 9.0sparcPEGTL-2.8.3.tgz
NetBSD 9.0sparcPEGTL-2.8.3.tgz
NetBSD 9.0x86_64PEGTL-2.8.3.tgz
NetBSD 9.0x86_64PEGTL-2.8.3.tgz
NetBSD 9.0x86_64PEGTL-2.8.3.tgz
NetBSD 9.0x86_64PEGTL-2.8.3.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.